

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>Configuration files for POSYDON &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Run a Dynamic MESA Grid" href="dynamic/dynamic.html" />
    <link rel="prev" title="Installation" href="../install/index.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Configuration files for POSYDON</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#how-to-write-a-configuration-file">How to write a configuration file</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#slurm">[slurm]</a></li>
<li class="toctree-l3"><a class="reference internal" href="#mesa-inlists">[mesa_inlists]</a></li>
<li class="toctree-l3"><a class="reference internal" href="#mesa-extras">[mesa_extras]</a></li>
<li class="toctree-l3"><a class="reference internal" href="#run-parameters">[run_parameters]</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>Configuration files for POSYDON</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/run_mesa_grids/inifile.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="configuration-files-for-posydon">
<span id="inifile"></span><h1>Configuration files for POSYDON<a class="headerlink" href="#configuration-files-for-posydon" title="Permalink to this headline">¶</a></h1>
<div class="section" id="how-to-write-a-configuration-file">
<h2>How to write a configuration file<a class="headerlink" href="#how-to-write-a-configuration-file" title="Permalink to this headline">¶</a></h2>
<p>The <cite>posydon-setup-grid</cite> command-line executable cannot run without a configuration file.
This inifile is meant to specify all aspects of the MESA simulation that is static, i.e.
those parts that are shared amongst every MESA simulation in your grid. The design of the inifile file
is such that it will start with the MESA defaults for every possible MESA parameter, stack on top of that
the PSyLIB suggested defaults, and then finally, if supplied, stack user specific parameters on top of both
the MESA defaults and the POSYDON defaults.</p>
<p>Below we describe each section of the inifile and what each value corresponds to.</p>
<p>Here is a link to the most recent stable release version of the default
inifile for POSYDON: <a class="reference external" href="https://github.com/POSYDON-code/POSYDON/blob/development/grid_params/grid_params.ini">Stable Version INIFILE</a></p>
<p>Here is a link to the unstable development version of the default inifile for POSYDON: <a class="reference external" href="https://github.com/POSYDON-code/POSYDON/blob/master/grid_params/grid_params.ini">Development Version INIFILE</a></p>
<div class="section" id="slurm">
<h3>[slurm]<a class="headerlink" href="#slurm" title="Permalink to this headline">¶</a></h3>
<table class="docutils align-default">
<colgroup>
<col style="width: 27%" />
<col style="width: 73%" />
</colgroup>
<tbody>
<tr class="row-odd"><td></td>
<td></td>
</tr>
</tbody>
</table>
<div class="highlight-ini notranslate"><div class="highlight"><pre><span></span><span class="k">[slurm]</span>
<span class="c1">; Number of nodes you would like to request</span>
<span class="na">number_of_nodes</span><span class="o">=</span><span class="s">1</span>

<span class="c1">; This is the number of processes that will be running MESA simulations</span>
<span class="na">number_of_mpi_tasks</span><span class="o">=</span><span class="s">2</span>

<span class="c1">; This is the number of cores you will let each MESA simulation use</span>
<span class="na">number_of_cpus_per_task</span><span class="o">=</span><span class="s">4</span>

<span class="c1">; run as job array</span>
<span class="c1">; cannot be false if running with --run-type sample</span>
<span class="na">job_array</span><span class="o">=</span><span class="s">True</span>

<span class="c1">; user name</span>
<span class="na">user</span><span class="o">=</span><span class="s">MYUSER</span>

<span class="c1">; partition</span>
<span class="na">partition</span><span class="o">=</span><span class="s">MYPARTITION</span>

<span class="c1">; account</span>
<span class="c1">; If running on geneva cluster set this to &quot;default&quot;</span>
<span class="na">account</span><span class="o">=</span><span class="s">MYACCOUNT</span>

<span class="c1">; wall-time</span>
<span class="na">walltime</span><span class="o">=</span><span class="s">&#39;12:00:00&#39;</span>

<span class="c1">;email</span>
<span class="na">email</span><span class="o">=</span><span class="s">MYEMAIL</span>
</pre></div>
</div>
</div>
<div class="section" id="mesa-inlists">
<h3>[mesa_inlists]<a class="headerlink" href="#mesa-inlists" title="Permalink to this headline">¶</a></h3>
<table class="docutils align-default">
<colgroup>
<col style="width: 22%" />
<col style="width: 78%" />
</colgroup>
<tbody>
<tr class="row-odd"><td></td>
<td></td>
</tr>
</tbody>
</table>
<div class="highlight-ini notranslate"><div class="highlight"><pre><span></span><span class="k">[mesa_inlists]</span>
<span class="c1">; would you like to include pre-MS part of the evolution (True) or</span>
<span class="c1">; load a model (False)</span>
<span class="na">include_pre_ms</span> <span class="o">=</span> <span class="s">True</span>

<span class="c1">; inlist types: binary_control,binary_job,star_job,star_control</span>

<span class="c1">; Please only supply *one* personally modified inlist file</span>
<span class="c1">; for each type of inlist. Leave mesa and posydon lines *alone*</span>

<span class="na">posydon_github_root</span><span class="o">=</span><span class="s">POSYDON_GITHUB_ROOT</span>
<span class="na">user_template_root</span><span class="o">=</span><span class="s">USER_TEMPLATE_ROOT</span>

<span class="c1">; Star1 formation - star1_job</span>
<span class="na">star1_formation_job_mesa_defaults</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/inlists/defaults/star/star_job.defaults</span>
<span class="na">star1_formation_job_posydon_defaults</span> <span class="o">=</span> <span class="s">${user_template_root}/star1/inlist_project</span>
<span class="na">star1_formation_job_user</span> <span class="o">=</span> <span class="s">None</span>

<span class="c1">; Star2 formation - star2_job</span>
<span class="na">star2_formation_job_mesa_defaults</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/inlists/defaults/star/star_job.defaults</span>
<span class="na">star2_formation_job_posydon_defaults</span> <span class="o">=</span> <span class="s">${user_template_root}/star2/inlist_project</span>
<span class="na">star2_formation_job_user</span> <span class="o">=</span> <span class="s">None</span>

<span class="c1">; Star1 formation - star1_control</span>
<span class="na">star1_formation_controls_mesa_defaults</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/inlists/defaults/star/controls.defaults</span>
<span class="na">star1_formation_controls_posydon_defaults</span> <span class="o">=</span> <span class="s">${user_template_root}/star1/inlist_project</span>
<span class="na">star1_formation_controls_user</span> <span class="o">=</span> <span class="s">None</span>

<span class="c1">; Star2 formation - star2_control</span>
<span class="na">star2_formation_controls_mesa_defaults</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/inlists/defaults/star/controls.defaults</span>
<span class="na">star2_formation_controls_posydon_defaults</span> <span class="o">=</span> <span class="s">${user_template_root}/star2/inlist_project</span>
<span class="na">star2_formation_controls_user</span> <span class="o">=</span> <span class="s">None</span>

<span class="c1">; binary_control</span>
<span class="na">binary_controls_mesa_defaults</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/inlists/defaults/binary/binary_controls.defaults</span>
<span class="na">binary_controls_posydon_defaults</span> <span class="o">=</span> <span class="s">${user_template_root}/binary/inlist_project</span>
<span class="na">binary_controls_user</span> <span class="o">=</span> <span class="s">None</span>

<span class="c1">; binary_job</span>
<span class="na">binary_job_mesa_defaults</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/inlists/defaults/binary/binary_job.defaults</span>
<span class="na">binary_job_posydon_defaults</span> <span class="o">=</span> <span class="s">${user_template_root}/binary/inlist_project</span>
<span class="na">binary_job_user</span> <span class="o">=</span> <span class="s">None</span>

<span class="c1">; star1_job</span>
<span class="na">star1_job_mesa_defaults</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/inlists/defaults/star/star_job.defaults</span>
<span class="na">star1_job_posydon_defaults</span> <span class="o">=</span> <span class="s">${user_template_root}/binary/inlist1</span>
<span class="na">star1_job_user</span> <span class="o">=</span> <span class="s">None</span>

<span class="c1">; star1_control</span>
<span class="na">star1_controls_mesa_defaults</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/inlists/defaults/star/controls.defaults</span>
<span class="na">star1_controls_posydon_defaults</span> <span class="o">=</span> <span class="s">${user_template_root}/binary/inlist1</span>
<span class="na">star1_controls_user</span> <span class="o">=</span> <span class="s">None</span>

<span class="c1">; star2_job</span>
<span class="na">star2_job_mesa_defaults</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/inlists/defaults/star/star_job.defaults</span>
<span class="na">star2_job_posydon_defaults</span> <span class="o">=</span> <span class="s">${user_template_root}/binary/inlist2</span>
<span class="na">star2_job_user</span> <span class="o">=</span> <span class="s">None</span>

<span class="c1">; star2_control</span>
<span class="na">star2_controls_mesa_defaults</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/inlists/defaults/star/controls.defaults</span>
<span class="na">star2_controls_posydon_defaults</span> <span class="o">=</span> <span class="s">${user_template_root}/binary/inlist2</span>
<span class="na">star2_controls_user</span> <span class="o">=</span> <span class="s">None</span>

<span class="c1">; star history columns</span>
<span class="na">star_history_columns</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/columns/history_columns.list</span>

<span class="c1">; binary history columns</span>
<span class="na">binary_history_columns</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/columns/binary_history_columns.list</span>

<span class="c1">; profile columns</span>
<span class="na">profile_columns</span> <span class="o">=</span> <span class="s">${posydon_github_root}/grid_params/r12115/columns/profile_columns.list</span>

<span class="c1">;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;</span>
<span class="c1">;;;;; MESA OUTPUT CONTROLS ;;;;;;;</span>
<span class="c1">;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;</span>

<span class="c1">; controls how often MESA prints out the history of the evolution</span>
<span class="na">history_interval</span> <span class="o">=</span> <span class="s">5</span>

<span class="c1">; Save binary history (history file will be named: )</span>
<span class="na">binary_history</span> <span class="o">=</span> <span class="s">True</span>

<span class="c1">; save history of star1</span>
<span class="na">history_star1</span> <span class="o">=</span> <span class="s">True</span>
<span class="c1">;save final profile of star1</span>
<span class="na">final_profile_star1</span> <span class="o">=</span> <span class="s">True</span>
<span class="c1">; save final model of star1</span>
<span class="na">final_model_star1</span> <span class="o">=</span> <span class="s">True</span>

<span class="c1">; save history of star2</span>
<span class="na">history_star2</span> <span class="o">=</span> <span class="s">True</span>
<span class="c1">; save profile of star2</span>
<span class="na">final_profile_star2</span> <span class="o">=</span> <span class="s">True</span>
<span class="c1">; save final model of star2</span>
<span class="na">final_model_star2</span> <span class="o">=</span> <span class="s">True</span>
</pre></div>
</div>
</div>
<div class="section" id="mesa-extras">
<h3>[mesa_extras]<a class="headerlink" href="#mesa-extras" title="Permalink to this headline">¶</a></h3>
<table class="docutils align-default">
<colgroup>
<col style="width: 25%" />
<col style="width: 75%" />
</colgroup>
<tbody>
<tr class="row-odd"><td></td>
<td></td>
</tr>
</tbody>
</table>
<div class="highlight-ini notranslate"><div class="highlight"><pre><span></span><span class="k">[mesa_extras]</span>
<span class="c1">; path to MESA makefile for executable binary and star</span>
<span class="na">makefile_binary</span> <span class="o">=</span> <span class="s">${MESA_DIR}/binary/work/make/makefile</span>
<span class="na">makefile_star</span> <span class="o">=</span> <span class="s">${MESA_DIR}/star/work/make/makefile</span>

<span class="c1">; N.B. Normally system_type will determine which extras file gets used.</span>
<span class="c1">; posydon has a set of approved extras files for given types of systems</span>
<span class="c1">; and it will use these extra files by default but you may supply your own</span>
<span class="c1">; if you wish.</span>

<span class="c1">; user specificied binary extra</span>
<span class="na">mesa_binary_extras</span> <span class="o">=</span> <span class="s">${MESA_DIR}/binary/work/src/run_binary_extras.f</span>
<span class="na">user_binary_extras</span> <span class="o">=</span> <span class="s">${mesa_inlists:user_template_root}/binary/src/run_binary_extras.f</span>

<span class="c1">; user specifed star extra - these go into the binary/src/ directory</span>
<span class="na">mesa_star_binary_extras</span> <span class="o">=</span> <span class="s">${MESA_DIR}/binary/work/src/run_star_extras.f</span>
<span class="na">user_star_binary_extras</span> <span class="o">=</span> <span class="s">${mesa_inlists:user_template_root}/binary/src/run_star_extras.f</span>

<span class="c1">; user specified star extras - these are for single star formation (e.g., pre-MS evolution)</span>
<span class="na">mesa_star1_extras</span> <span class="o">=</span> <span class="s">${MESA_DIR}/star/work/src/run_star_extras.f</span>
<span class="na">user_star1_extras</span> <span class="o">=</span> <span class="s">${mesa_inlists:user_template_root}/star1/src/run_star_extras.f</span>

<span class="na">mesa_star2_extras</span> <span class="o">=</span> <span class="s">${MESA_DIR}/star/work/src/run_star_extras.f</span>
<span class="na">user_star2_extras</span> <span class="o">=</span> <span class="s">${mesa_inlists:user_template_root}/star2/src/run_star_extras.f</span>

<span class="c1">; binary_run.f</span>
<span class="na">binary_run</span> <span class="o">=</span> <span class="s">${MESA_DIR}/binary/work/src/binary_run.f</span>

<span class="c1">; star_run.f</span>
<span class="na">star_run</span> <span class="o">=</span> <span class="s">${MESA_DIR}/star/work/src/run.f</span>
</pre></div>
</div>
</div>
<div class="section" id="run-parameters">
<h3>[run_parameters]<a class="headerlink" href="#run-parameters" title="Permalink to this headline">¶</a></h3>
<table class="docutils align-default">
<colgroup>
<col style="width: 26%" />
<col style="width: 74%" />
</colgroup>
<tbody>
<tr class="row-odd"><td></td>
<td></td>
</tr>
</tbody>
</table>
<div class="highlight-ini notranslate"><div class="highlight"><pre><span></span><span class="k">[run_parameters]</span>
<span class="c1">; If running posydon-run-grid with option --grid-type fixed</span>
<span class="c1">; then the grid is a file with all the different samples you would like to</span>
<span class="c1">; run MESA on.</span>
<span class="c1">; If posydon-make-grid is run with --grid-type dynamic, then grid is</span>
<span class="c1">; a file of pre-run MESA simulations from which you will generate new samples to</span>
<span class="c1">; run MESA on (i.e. generate grid points on the fly).</span>
<span class="na">grid</span> <span class="o">=</span> <span class="s">PATH_TO_MY_GRID</span>

<span class="c1">; system type will in</span>
<span class="na">scenario</span> <span class="o">=</span>
</pre></div>
</div>
</div>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="dynamic/dynamic.html" class="btn btn-neutral float-right" title="Run a Dynamic MESA Grid" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="../install/index.html" class="btn btn-neutral float-left" title="Installation" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>